Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class PricedNode

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.PricedNode

All Implemented Interfaces:
  IBasicPrice, IPrice, IRuntimeNode

Direct Known Subclasses:
  IntegerNode, ReadOnlyDecimalNode, StateNode

public abstract class PricedNode
extends RuntimeNode
implements IPrice

Abstract class implementing common behavior across all runtime nodes that can be priced.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`void` | `addDiscountedPricingNotification(java.lang.String message)`
`void` | `addListPricingNotification(java.lang.String message)` Adds list pricing notification string to currently stored notifications.
`void` | `cacheCurrentDiscountedPrice()`
`void` | `clearDiscountedPrice()`
`void` | `clearDiscountedPricingNotifications()`
`void` | `clearListPricingNotifications()`
`java.lang.Object` | `getBaselineQuantity()` Returns the value restored from IB
`java.lang.String` | `getComponentCode()` Returns the ComponentCode of the selected item ComponentCode is used to identify a component within an exploded bill of materials.
`java.lang.Object` | `getDeltaQuantity()` Returns the difference between current Value and Value restored from IB
`double` | `getDiscountedPrice()` Gets discounted price of item based on adjustments associated with price list specified in initParameters.
`java.lang.String` | `getDiscountedPricingNotifications()` Returns strings containing any pricing messages, warnings, or errors when asking selling price/discounted price
`double` | `getExtendedPrice()` Calculates extended price of item (quantity * discounted price).
`int` | `getInventoryItemId()` Returns the inventory id of the item to be priced
`java.lang.String` | `getItemKey()` Returns item key for items imported from Oracle Inventory / BOM.
`double` | `getListPrice()` Gets list price of item on price list specified in initParameters.
`java.lang.String` | `getListPricingNotifications()` Returns a string containing any pricing messages, warnings, or errors when asking list price
`double` | `getOldDiscountedPrice()`
`int` | `getOrganizationId()` Returns the organisation id of the item to be priced
`int` | `getPricedNodeID()` Returns the PersistentID of the Price node
`java.lang.String` | `getPricingNotifications()` Returns string containing any pricing messages, warnings, or errors.
`java.lang.String` | `getPricingValue()` Generic function that returns the value of a priced runtime node as a String irrespective of the type of node.
`java.lang.String` | `getUomCode()` Returns unit of measure code for items imported from Oracle Inventory/ BOM.
`double` | `getValue()` Returns the count of this item selected by user
`boolean` | `hasDiscountedPrice()`
`boolean` | `hasInventoryItemId()` Returns true if the selcected item has InventotyId (item is a BOM)
`boolean` | `hasListPrice()` Returns true if the node has already been priced false otherwise
`void` | `setDiscountedPrice(double discountedPrice)`
`void` | `setListPrice(double listPrice)` Sets list price of selected item.

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getCaption, getChildByID, getChildByID, getChildByName, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getCXRules, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, synchronizeIBValues, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### hasListPrice

    public boolean hasListPrice()

  Description copied from interface: `IBasicPrice`
  Returns true if the node has already been priced false otherwise
  Specified by:
    `hasListPrice` in interface `IBasicPrice`

### hasDiscountedPrice

    public boolean hasDiscountedPrice()

### getListPrice

    public double getListPrice()
                        throws PricingUnavailableException,
                               NonPricedNodeException

  Description copied from interface: `IBasicPrice`
  Gets list price of item on price list specified in initParameters.
  Specified by:
    `getListPrice` in interface `IBasicPrice`
    `PricingUnavailableException`
    `NonPricedNodeException`

### setListPrice

    public void setListPrice(double listPrice)

  Description copied from interface: `IBasicPrice`
  Sets list price of selected item.
  Specified by:
    `setListPrice` in interface `IBasicPrice`

### getDiscountedPrice

    public double getDiscountedPrice()
                              throws PricingUnavailableException,
                                     NonPricedNodeException

  Description copied from interface: `IPrice`
  Gets discounted price of item based on adjustments associated with price list specified in initParameters.
  Specified by:
    `getDiscountedPrice` in interface `IPrice`
    `PricingUnavailableException`
    `NonPricedNodeException`

### setDiscountedPrice

    public void setDiscountedPrice(double discountedPrice)

### clearDiscountedPrice

    public void clearDiscountedPrice()

### getExtendedPrice

    public double getExtendedPrice()
                            throws PricingUnavailableException,
                                   NonPricedNodeException

  Description copied from interface: `IPrice`
  Calculates extended price of item (quantity * discounted price).
  Specified by:
    `getExtendedPrice` in interface `IPrice`
    `PricingUnavailableException`
    `NonPricedNodeException`

### getPricingNotifications

    public java.lang.String getPricingNotifications()

  Description copied from interface: `IPrice`
  Returns string containing any pricing messages, warnings, or errors.
  Specified by:
    `getPricingNotifications` in interface `IPrice`

### getListPricingNotifications

    public java.lang.String getListPricingNotifications()

  Description copied from interface: `IBasicPrice`
  Returns a string containing any pricing messages, warnings, or errors when asking list price
  Specified by:
    `getListPricingNotifications` in interface `IBasicPrice`

### getDiscountedPricingNotifications

    public java.lang.String getDiscountedPricingNotifications()

  Description copied from interface: `IPrice`
  Returns strings containing any pricing messages, warnings, or errors when asking selling price/discounted price
  Specified by:
    `getDiscountedPricingNotifications` in interface `IPrice`

### addListPricingNotification

    public void addListPricingNotification(java.lang.String message)

  Description copied from interface: `IBasicPrice`
  Adds list pricing notification string to currently stored notifications.
  Specified by:
    `addListPricingNotification` in interface `IBasicPrice`

### addDiscountedPricingNotification

    public void addDiscountedPricingNotification(java.lang.String message)

### clearListPricingNotifications

    public void clearListPricingNotifications()

### clearDiscountedPricingNotifications

    public void clearDiscountedPricingNotifications()

### getItemKey

    public java.lang.String getItemKey()

  Description copied from interface: `IPrice`
  Returns item key for items imported from Oracle Inventory / BOM. Item key is constructed from BOM_EXPLOSIONS field values: "[COMPONENT_CODE]:[EXPLOSION_TYPE]:[ORGANIZATION_ID]:[TOP_ITEM_ID]" Item key may be used by PL/SQL pricing procedures to price nodes. Returns null if node was not imported from Oracle Inventory / BOM.
  Specified by:
    `getItemKey` in interface `IPrice`

### getUomCode

    public java.lang.String getUomCode()

  Description copied from interface: `IPrice`
  Returns unit of measure code for items imported from Oracle Inventory/ BOM. The unit of measure may be used by PL/SQL pricing procedures to price nodes. Returns null if node was not imported from Oracle Inventory / BOM.
  Specified by:
    `getUomCode` in interface `IPrice`

### getPricingValue

    public java.lang.String getPricingValue()

  Generic function that returns the value of a priced runtime node as a String irrespective of the type of node.

### cacheCurrentDiscountedPrice

    public void cacheCurrentDiscountedPrice()

### getOldDiscountedPrice

    public double getOldDiscountedPrice()

### getInventoryItemId

    public int getInventoryItemId()

  Description copied from interface: `IBasicPrice`
  Returns the inventory id of the item to be priced
  Specified by:
    `getInventoryItemId` in interface `IBasicPrice`

### getOrganizationId

    public int getOrganizationId()

  Description copied from interface: `IBasicPrice`
  Returns the organisation id of the item to be priced
  Specified by:
    `getOrganizationId` in interface `IBasicPrice`

### getValue

    public double getValue()

  Description copied from interface: `IBasicPrice`
  Returns the count of this item selected by user
  Specified by:
    `getValue` in interface `IBasicPrice`

### hasInventoryItemId

    public boolean hasInventoryItemId()

  Description copied from interface: `IBasicPrice`
  Returns true if the selcected item has InventotyId (item is a BOM)
  Specified by:
    `hasInventoryItemId` in interface `IBasicPrice`

### getComponentCode

    public java.lang.String getComponentCode()

  Description copied from interface: `IBasicPrice`
  Returns the ComponentCode of the selected item ComponentCode is used to identify a component within an exploded bill of materials.
  Specified by:
    `getComponentCode` in interface `IBasicPrice`

### getPricedNodeID

    public int getPricedNodeID()

  Returns the PersistentID of the Price node
  Specified by:
    `getPricedNodeID` in interface `IBasicPrice`

### getDeltaQuantity

    public java.lang.Object getDeltaQuantity()

  Returns the difference between current Value and Value restored from IB
  Specified by:
    `getDeltaQuantity` in interface `IPrice`
  Returns:
    Object Numeric difference value (Integer or Double)

### getBaselineQuantity

    public java.lang.Object getBaselineQuantity()

  Returns the value restored from IB
  Specified by:
    `getBaselineQuantity` in interface `IPrice`
  Returns:
    Object Numeric value (Integer or Double) restored from IB.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.